haskell-src-exts-1.13.5: Manipulating Haskell source: abstract syntax, lexer, parser, and pretty-printer

Safe Haskell | Safe-Infered

Language.Haskell.Exts.Comments

Synopsis

- data Comment = Comment Bool SrcSpan String

# Documentation

data Comment

A Haskell comment. The `Bool` is `True` if the comment is multi-line, i.e. `{- -}`.

Constructors

Comment Bool SrcSpan String |

Instances

Eq Comment |
Data Comment |
Show Comment |
Typeable Comment |